# $Revision: 1.4 $, $Date: 2012/02/19 06:05:27 $
%define		module gflags
Summary:	Commandline flags module for Python
Summary(pl.UTF-8):	Moduł flag linii poleceń dla Pythona
Name:		python-%{module}
Version:	2.0
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: http://code.google.com/p/python-gflags/downloads/list
Source0:	http://python-gflags.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	c3ab70218dbf945cc32c0cd64c51d162
URL:		http://code.google.com/p/python-gflags/
BuildRequires:	python-devel
BuildRequires:	python-distribute
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project is the Python equivalent of google-gflags, a Google
commandline flag implementation for C++. It is intended to be used in
situations where a project wants to mimic the command-line flag
handling of a C++ app that uses google-gflags, or for a Python app
that, via swig or some other means, is linked with a C++ app that uses
google-gflags.

The gflags package contains a library that implements commandline
flags processing. As such it's a replacement for getopt(). It has
increased flexibility, including built-in support for Python types,
and the ability to define flags in the source file in which they're
used. (This last is its major difference from OptParse.)

%description -l pl.UTF-8
Ten projekt jest pythonowym odpowiednikiem google-gflags -
implementacji C++ flag linii poleceń autorstwa Google. Jego
zastosowaniem są projekty, które mają naśladować obsługę flag linii
poleceń aplikacji C++ wykorzystujących google-gflags oraz aplikacje
Pythona, które poprzez swig lub w inny sposób są zlinkowane z
aplikacją C++ wykorzystującą google-gflags.

Pakiet gflags zawiera bibliotekę implementującą przetwarzanie flag
linii poleceń. Jako taka jest zamiennikiem getopt(). Ma większą
elastyczność, w tym wbudowaną obsługę typów pythonowych oraz możliwość
definiowania flag w plikach źródłowych, w których są używane (to
ostatnie to główna różnica względem OptParse).

%prep
%setup -q
# Fix non-executable-script error
%{__sed} -i '/^#!\%{_prefix}\/bin\/env python$/,+1 d' %{module}.py

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

# Remove ext from name
mv $RPM_BUILD_ROOT%{_bindir}/gflags2man.py  $RPM_BUILD_ROOT%{_bindir}/gflags2man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_bindir}/gflags2man
%{py_sitescriptdir}/%{module}.py[co]
%{py_sitescriptdir}/%{module}_validators.py[co]
%{py_sitescriptdir}/python_gflags-%{version}-py*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-gflags.spec,v $
Revision 1.4  2012/02/19 06:05:27  qboosh
- updated to 2.0

Revision 1.3  2011/12/26 16:00:19  qboosh
- updated to 1.7
- pl

Revision 1.2  2011/07/27 20:17:46  glen
- egg-info installed in py24

Revision 1.1  2011/07/27 20:16:55  glen
- new, based on fedora .spec
